# .gitlab-ci.yml

include:
  - template: Security/SAST.gitlab-ci.yml

stages:
  - test
  - sast
  - secret_detection

variables:
  SAST_EXCLUDED_PATHS: "spec, test, tests, tmp"
  GITLAB_ADVANCED_SAST_ENABLED: 'true'

# Custom SAST job
sast:
  stage: sast
  variables:
    SAST_ANALYZER_IMAGE_TAG: 3
    SAST_JAVA_VERSION: 11
    SAST_EXCLUDED_PATHS: ${SAST_EXCLUDED_PATHS}
  rules:
    - when: always

# Python-specific SAST job
python-sast:
  stage: sast
  image: registry.gitlab.com/gitlab-org/security-products/analyzers/bandit:2
  script:
    - bandit -r . -f custom --exit-zero
  artifacts:
    reports:
      sast: gl-sast-report.json

# Secret Detection
secret_detection:
  stage: secret_detection
  variables:
    SECRET_DETECTION_HISTORIC_SCAN: "true"
